/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune;

/**
 * A Component of a plugin.
 * Large plugins can be separated into multiple
 * Components in order to make the code more manageable 
 * and organized.
 * @author ry60003333
 */
public interface Component
{
    /**
     * Initialize the plugin component.
     * This is where the component should register all of it's
     * listeners, loaders, components, and so on. This method
     * may be called more then once if the component is unloaded 
     * and then reloaded.
     * @param sandbox The sandbox environment.
     */
    public void init(Sandbox sandbox);
}
