/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune;

/**
 * The Sandbox defines the way that the plugin interacts
 * with the engine of the server. Each plugin is given
 * it's own Sandbox to operate within.
 * @author ry60003333
 */
public interface Sandbox
{
    
    /**
     * Get the version of the Sandbox.
     * <p>
     * The version number of the Sandbox can be used to
     * determine what features are supported, or if a bug
     * in a specific version has been fixed. Generally plugins
     * should work on a specified version of the Sandbox and up.
     * @return The version of the Sandbox.
     */
    public int getVersion();
    
    /**
     * Add a Component to the Sandbox.
     * <p>
     * A plugin can add as many Component objects as it would like
     * to the Sandbox, and the engine will load all of them. However, 
     * plugins must <b>NEVER</b> have a component add itself or a parent
     * component to the Sandbox, as this will result in an infinite loop.
     * @param component The Component that should be added.
     */
    public void add(Component component);
}
