/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune.entity;

/**
 * An Entity within the game that is capable of changing it's position.
 * <p>
 * Any Entity that can move within the game implements this interface.
 * @author ry60003333
 */
public interface MobileEntity extends Entity
{
    /**
     * Check if the MobileEntity is a player.
     * <p>
     * This method is provided as a convenience method, and
     * is functionally equivalent to (entity instanceof Player). 
     * @return If the MobileEntity is a player.
     */
    public boolean isPlayer();
    
    /**
     * Check if the MobileEntity is an Npc.
     * <p>
     * This method is provided as a convenience method, and
     * is functionally equivalent to (entity instanceof Npc). 
     * @return If the MobileEntity is an Npc.
     */
    public boolean isNpc();
}
