/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune.task;

/**
 * A TimedTask is a Task that executes after a specified amount of time.
 * <p>
 * The game engine will execute the Task on the tick where the specified
 * amount of time has passed; the exact amount of time passed depends
 * on the tick rate of the server as well as the current server load.
 * @author ry60003333
 */
public interface TimedTask extends Task
{
    /**
     * Get the amount of time, in milliseconds, before execution.
     * <p>
     * The execute() method of the Task will be called when 
     * <b>at least</b> the amount of time returned by this method has
     * passed. More time then the return value of this method may have
     * passed due to the tick rate of the engine of the load of the 
     * server.
     * @return The time, in milliseconds.
     */
    public long getTimeMillis();
}
